clear
set more off
set scheme s1mono

/*
********************************************************************************
**********set local paths to your directories***********************************
********************************************************************************
global tab 		"Enter your path for Tables here"
global graph 	"Enter your path for Tables here"
global data 	"Enter your path to the generated EB data here"
global log 		"Enter your path for log files here"
global do		"Enter your path for do files here"
*/


********************************************************************************
************Install or Update Packages******************************************
********************************************************************************

foreach package in estout tabout egenmore center{
	cap which `package'
	if _rc==111 ssc install `package'
	else adoupdate `package', update
	}
	

********************************************************************************
************Do Files************************************************************
********************************************************************************

******0) open log file
log using $log\trumpeffectMinkusetal , replace

*****1) create Figure 1 and 2
do $do\Figure1and2

*****2) prepare Eurobarometer data
do $do\gen_EB

*****3) Run analysis with EB 86.2 (i.e., Tables 1-3, A1-A2, S2-S12, S14, S18, and Figures 2-5, S1, and S2)
do $do\RD_EBFinal

*****4) Run additional analysis with EB 68.2 (i.e., Table S1)
do $do\PlaceboEB2016

*****4) Run additional analysis with EB 78.2 (i.e., Table S13)
do $do\PlaceboEB2012

*****5) Run additional analysis with EB 80.1 (i.e., Table S15)
do $do\PlaceboEB2013

*****6) Run additional analysis with ESS (i.e., Figure S3 and Tables S16-S17)
do $do\ESS

******7) close log file and tranlate to .pdf

cd $log\
translate trumpeffectMinkusetal.smcl trumpeffectMinkusetal.pdf, replace

capture log close
