set more off

use $data/eurobarometer2016Trump2, clear

***************************interview date
gen zeit2=.
replace zeit2=1  if p1==3
replace zeit2=2  if p1==4
replace zeit2=3  if p1==5
replace zeit2=4  if p1==6
replace zeit2=5  if p1==7
replace zeit2=6  if p1==8
replace zeit2=7  if p1==9
replace zeit2=8  if p1==10
replace zeit2=9  if p1==11
replace zeit2=10  if p1==12

ta zeit p1, m
ta zeit trump, m



***************generate new treatment variable
gen trump2=.
replace trump2=1 if p1>4
replace trump2=0 if p1<5
numlabel, add
ta p1 trump2



*****************generate centered time variable
ta p1 trump2		
gen trump2_c=zeit2
ta zeit trump2	
replace trump2_c=trump2_c-3
ta trump2_c p1 

 
***********************************************************************************************************
******************************************Factor analysis**************************************************
*********************************************************************************************************** 
global fact2 mod demos protec effic forw  ///
optifut jobs busni demo attacheu  ///
eucitizen respect 

factor  $fact2, factor(1) blanks(0.3)

predict f1
predict f1bart, bartlett
label var f1bart "EU popularity index" 
 

*************generate help variable for holding sample sizes constant in stepwise Regression
reg f1bart trump i.frau age i.town bilzeit occ_kat1 occ_kat3 occ_kat4 occ_kat5 occ_kat6 occ_kat7 i.country, vce (robust) 
gen gueltig=e(sample)

 
 
**************************************************************************************************
***************************************Placebo Analyse********************************************
**************************************************************************************************

*******************pretending presidential election took place on the 7th
reg f1bart trump2 if gueltig==1, vce (robust) 
est sto trump21
reg f1bart i.trump2##c.trump2_c if gueltig==1, vce (robust) 
est sto trump22
reg f1bart i.trump2##c.trump2_c frau age  occ_kat1 occ_kat3 occ_kat4 occ_kat5 occ_kat6 occ_kat7 ///
town bilzeit  b27.country  if gueltig==1, vce (robust) 
est sto trump23

#delimit ;
esttab trump21 trump22 trump23 using $tab/TableS1.rtf, replace 
	nonumbers
	b(%9.2f) se(2) wide
	r2(2) 
	label
	compress
	mlabels ("(1)" "(2)" "(3)")
	nogaps
	drop(*country)
	title ("Table S1. Robustness-check: Placebo analysis (pretending the treatment occurred between 6-7 November). DV: EU popularity index.")
	star
	addnotes ("Treatment group: Interviewed after November 6. Robust standard errors in parentheses. Own calculations, based on Eurobarometer 86.2, not weighted. Increased sample size due to the inclusion of observations interviewed on November 9. ")
;
#delimit cr

eststo clear


